#!/bin/bash

echo -ne "Content-type: text/html\r\nCache-Control: no-cache\r\nExpires: -1\r\n\r\n"

cat pw_plugins.inc.html

tree=$(find /usr/local/root/flash/http/plugins/ -maxdepth 1 -type f -name \*.htm\* -printf "%p|" 2>/dev/null)
p=${tree%%"|"*}
tree=${tree#*"|"}

echo "<div style=\"padding: 10px; padding-left: 20px; border: 0px; margin: 0px; font-weight: bold; color: #000000\">Installed plugins</div>"
if [ -z ${p} ]; then
    echo "<ul><li style=\"list-style-image: none; list-style-type: none\">No plugins found</li></ul>"
else
    echo "<ul><table border=0 cellspacing=0 cellpadding=0 style=\"font-size: 14px\">"
    while [ "$p" != "" ]; do
        title=`grep pluginname $p`
        if [ "${title}" ]; then
	    title=${title#*"<!--pluginname="}
            title=${title%%"-->"*}
        else
            title=${p#*'/usr/local/root/flash/http/plugins/'}
        fi
        echo "<tr><td><li><a href='..${p#*'/usr/local/root/flash'}'>$title</a></li></td>"
        q=$(grep -l ${p} /usr/local/root/flash/etc/sysconfig/conf_users/uninstall* 2>/dev/null)
        echo "<td><button type=\"button\" onclick=\"window.location.href='scaninstallplugins.cgi?uninstall=$q'\">Uninstall</button></td></tr>"
        p=${tree%%"|"*}
        tree=${tree#*"|"}
    done
    echo "</table></ul>"
fi

tree=$(find /usr/local/root/flash/http/ -maxdepth 1 -type d -name install-plug\* -printf "%p|" 2>/dev/null)
p=${tree%%"|"*}
tree=${tree#*"|"}

echo "<div style=\"padding: 10px; padding-left: 20px; border: 0px; margin: 0px; font-weight: bold; color: #000000\">New plugins</div>"
if [ -z ${p} ]; then
    echo "<div style=\"padding-left: 40px\">Upload a .zip file containing the plugin</div><br>"
    echo "<form style=\"color: #000000; padding-left: 20px\" name=\"plugin_form\" method=\"post\" enctype=\"multipart/form-data\" action=\"scaninstallplugins.cgi?plugin=zip\">"
    echo "<input style=\"width: 500px\" type=\"file\" name=\"plugin\"><br>"
    echo "<input style=\"width: 100px; margin-left: 20px; margin-top: 10px\" type=\"submit\" value=\"Upload\">"
    echo "</form>"
else
    echo "<ul><table border=0 cellspacing=0 cellpadding=0 style=\"font-size: 14px\">"
    while [ "$p" != "" ]; do
        if [ -f $p/pluginname ]; then
            title=`cat $p/pluginname`
        else
            title=Plugin
        fi
        echo "<tr><td><li><a href=\"scaninstallplugins.cgi?plugin=$p\">Install plugin \"$title\"</a></li></td></tr>"
        p=${tree%%"|"*}
        tree=${tree#*"|"}
    done
    echo "</table></ul>"
fi

echo "
</div>
<script type=\"text/javascript\" src=\"pw_footer.js\"></script>
</body>
</html>
"
exit 0
