#!/bin/bash

echo -ne "Content-type: text/html\r\nCache-Control: no-cache\r\nExpires: -1\r\n\r\n"
echo "<link rel=\"stylesheet\" href=\"style2.css\" type=\"text/css\">"

app=""
sig=""
text=""

if [ "$QUERY_STRING" != "" ]; then
    tmp=$QUERY_STRING

    first=${tmp%%&*}
    second=${tmp#$first&*}
    second=${second%&*}
    third=${tmp#*$second&*}

    for i in $first $second $third; do
        cmd=${i%%=*}
        if [ "$cmd" = "app" ]; then
            app=${i##*=}
        fi
        if [ "$cmd" = "sig" ]; then
            sig=${i##*=}
        fi
        if [ "$cmd" = "text" ]; then
            text=${i##*=}
        fi
    done
fi

export app
export sig
export text

if [ "$REQUEST_METHOD" = "POST" ]; then
    read QUERY_STRING
    REQUEST_METHOD=GET
    export REQUEST_METHOD
    export QUERY_STRING
fi

if [ "$app" = "" -o "$sig" = "" ]; then
    echo "<h1>Error: You should specify an application and a signal</h1><br>"
    echo -e "<div>FIRST:$first<br>SECOND:$second<br>THIRD:$third<br>tAPP:$app<br>SIG:$sig<br>TEXT:$text</div>"
else
    if [ "$text" != "" ]; then
        text_screen=$(echo $text | sed 's/%20/\ /g')
        echo "<h1>$text_screen</h1><br>"
    else
        echo "<h1>Killing $app with signal $sig: please wait...</h1><br>"
    fi
    echo "<pre>"
    sleep 2
    {
        flock -w 10 999
        if [ $? -ne 0 ]; then
            echo "Unable to lock device."
        else
            echo "do_kill?$app&-$sig&$text" > /dev/httpsvc
            cat /dev/httpsvcrep
        fi
    } 999</var/lock/httpsvc.lock
    echo "</pre>"
fi

